commit:     34e314b45b5cac2cdd260e58ddae061f6775bd8a
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 23 13:49:01 2018 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Fri Feb 23 13:49:11 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=34e314b4

net-misc/x2goclient: 4.1.1.1 bump

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 net-misc/x2goclient/Manifest                  |  1 +
 net-misc/x2goclient/x2goclient-4.1.1.1.ebuild | 70 +++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/net-misc/x2goclient/Manifest b/net-misc/x2goclient/Manifest
index 8cc4d6e2098..33576cdc232 100644
--- a/net-misc/x2goclient/Manifest
+++ b/net-misc/x2goclient/Manifest
@@ -1,2 +1,3 @@
 DIST x2goclient-4.1.0.1.tar.gz 1891484 BLAKE2B 
af9ccff0ae313c42a13089e0e1b154d8204cc626b2cb5dfbd1f0016bd7099592d2f29ff8d540a2e1d64552359e90ed024c9790bce551e38e5826bfff5b2ee408
 SHA512 
6cbfb70fb7f522f0a5557ab36b6e15b6cae9ad184bd1d51b6c2f2acfa7b22d8fd9344bbfee141f2d5bd71f5adf9d3bd6d2c7db7b774cd8f8af5bcd25144de98d
 DIST x2goclient-4.1.1.0.tar.gz 2745227 BLAKE2B 
3cd33a828a890189fa92790388abf34c95eeb33d0c5019a014b1ba893a739011886462f62b2ce74cf57c8229acf573db778defec7e0097f5c0d6ea1e35361699
 SHA512 
c9763ab4b1ce4065ee1512dae2fcaf5b23dd515dc64fd8bb11d033aca1a026a4bf0d06a0fab38576e98627490dc459973716689e8c9aa7c47fb6c68124405e30
+DIST x2goclient-4.1.1.1.tar.gz 2749650 BLAKE2B 
212e4ef9bb13478c79b46fe5ac247db2ac1cde1e24c0293397f54c793fa647318fa8f1d13417cb54218ed6757a26db4d6fe00076ad5c04c4d426ee428200735a
 SHA512 
b18f3b2889e2f43846a1c83fccb1a1219621b442849a8e454e82e3d27a638740ea22dd419d6b1e0544416445d4abe80f8b931d46f77237bce1df11d4394451dc

diff --git a/net-misc/x2goclient/x2goclient-4.1.1.1.ebuild 
b/net-misc/x2goclient/x2goclient-4.1.1.1.ebuild
new file mode 100644
index 00000000000..53df37c70e2
--- /dev/null
+++ b/net-misc/x2goclient/x2goclient-4.1.1.1.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils gnome2-utils qmake-utils
+
+DESCRIPTION="The X2Go Qt client"
+HOMEPAGE="http://www.x2go.org";
+SRC_URI="http://code.x2go.org/releases/source/${PN}/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="ldap"
+
+COMMON_DEPEND="dev-qt/qtcore:5
+       dev-qt/qtgui:5
+       dev-qt/qtnetwork:5[ssl]
+       dev-qt/qtsvg:5
+       dev-qt/qtwidgets:5
+       dev-qt/qtx11extras:5
+       >=net-libs/libssh-0.6.0_rc1
+       net-print/cups
+       x11-libs/libXpm
+       ldap? ( net-nds/openldap )"
+DEPEND="${COMMON_DEPEND}
+       dev-qt/linguist-tools:5"
+RDEPEND="${COMMON_DEPEND}
+       net-misc/nx"
+
+CLIENT_BUILD="${WORKDIR}"/${P}.client_build
+PLUGIN_BUILD="${WORKDIR}"/${P}.plugin_build
+
+src_prepare() {
+       default
+
+       if ! use ldap; then
+               sed -e "s/-lldap//" -i x2goclient.pro || die
+               sed -e "s/#define USELDAP//" -i src/x2goclientconfig.h || die
+       fi
+}
+
+src_configure() {
+       eqmake5 "${S}"/x2goclient.pro
+}
+
+src_install() {
+       dobin ${PN}
+
+       local size
+       for size in 16 32 48 64 128 ; do
+               doicon -s ${size} res/img/icons/${size}x${size}/${PN}.png
+       done
+       newicon -s scalable res/img/icons/hildon/${PN}_hildon.svg ${PN}.svg
+
+       insinto /usr/share/pixmaps
+       doins res/img/icons/${PN}.xpm
+
+       domenu desktop/${PN}.desktop
+       doman man/man?/*
+}
+
+pkg_postinst() {
+       gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+}

Reply via email to